import {getCars} from './getCars';

import {generateReport} from './generateReport';

import {select,arc} from 'd3'


// You can import API functions like this from D3.js.
//import { select } from 'd3';

// You can import local modules like this. See message.js!
//import { message } from './myMessage';

// This line uses D3 to set the text of   the message div.
//select('#message').text(message);
  //console.log(d3);
      const svg=select('svg');
      svg.style('background-color','white');
		 const height= +(svg.attr('height'));
     const width= +(svg.attr('width'));
 		 const g=svg.append('g')
 			.attr('transform',`translate(${width/2},${height/2})`);
     const circle=  g.append('circle');
   
   	 circle.attr('r',height/2)
       .attr('fill','yellow')
       .attr('stroke','black')

   const eyeOffset=70;
   const eyeYOffset=-70;
   const eyeRadius=30;
   const eyeBrowHeight=15;
   const eyeBrowWidth=70;
   const eyeBrowYOffset=-60;
   const c=7;

   const eyesG=g.append('g')
     .attr('transform',`translate(0,${eyeYOffset})`);

    const leftEye=  eyesG.append('circle');
        leftEye.attr('r',eyeRadius)
       .attr('cx',-eyeOffset);
       
     
   
     const rightEye=  eyesG.append('circle');
    rightEye.attr('r',eyeRadius)
        .attr('cx',eyeOffset);

     const leftEyeBrow=eyesG.append('rect')
      .attr('width',eyeBrowWidth)
      .attr('height',eyeBrowHeight)
      .attr('y',eyeBrowYOffset)
       .attr('x',eyeOffset -eyeBrowWidth/2);

     const rightEyeBrow=eyesG.append('rect')
      .attr('width',eyeBrowWidth)
      .attr('height',eyeBrowHeight)
      .attr('y',eyeBrowYOffset)
       .attr('x',-eyeOffset-eyeBrowWidth/2)
      .transition().duration(2000)
          .attr('y',eyeBrowYOffset-30)
     .transition().duration(2000)
          .attr('y',eyeBrowYOffset)

    const mouth = g.append('path')
    
     mouth.attr('d', arc()({
  innerRadius: 100,
  outerRadius: 120,
  startAngle: Math.PI/1.5,
  endAngle: 3*Math.PI/2.3 
}));

getCars().then(cars => {
  const message2 = generateReport(cars,3000);
document.getElementById("message2").textContent=message2; 
});




